# vim: set sw=4 ts=4 et nu:

Name:           perl-Clipboard
Version:        0.13
Release:        6.2
Summary:        Copy and Paste with any OS
Source:         http://search.cpan.org/CPAN/authors/id/K/KI/KING/Clipboard-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Clipboard
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  xclip
Requires:       xclip

%description
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

With Clipboard.pm, this magic is now trivial to access, in a
cross-platform-consistent API, from your Perl code.

%package -n clipboard
Summary:        Command-Line Utilities to Copy and Paste with any OS
Requires:       %{name} = %{version}
Group:          System/X11/Utilities
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description -n clipboard
Who doesn't remember the first time they learned to copy and paste, and
generated an exponentially growing text document? Yes, that's right,
clipboards are magical.

This package contains several command-line utilities to manpulate
clipboards.

%prep
%setup -q -n "Clipboard-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Clipboard
%{perl_vendorlib}/Clipboard.pm
%{perl_vendorarch}/auto/Clipboard
%doc %{perl_man3dir}/Clipboard.%{perl_man3ext}%{ext_man}

%files -n clipboard
%defattr(-,root,root)
%{_bindir}/clipaccumulate
%{_bindir}/clipbrowse
%{_bindir}/clipedit
%{_bindir}/clipfilter
%{_bindir}/clipjoin
%doc %{_mandir}/man1/clipaccumulate.1%{ext_man}
%doc %{_mandir}/man1/clipbrowse.1%{ext_man}
%doc %{_mandir}/man1/clipedit.1%{ext_man}
%doc %{_mandir}/man1/clipfilter.1%{ext_man}
%doc %{_mandir}/man1/clipjoin.1%{ext_man}

%changelog
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Nov 26 2010 pascal.bleser@opensuse.org
- initial package (0.13)
